/// <reference types="node" />
import { AsyncLocalStorage } from 'async_hooks';
export default class Logger {
    private contextStorage?;
    private serviceName;
    private printMessage;
    constructor();
    setServiceName(name: string): void;
    error(error: string | Error, trace?: string, context?: string, data?: any): void;
    warn(message: any, context?: string, data?: any): void;
    log(message: any, context?: string, data?: any): void;
    verbose(message: any, context?: string, data?: any): void;
    debug(message: any, context?: string, data?: any): void;
    private printMessageAsJson;
    setContextStorage(ctx: AsyncLocalStorage<{
        requestId?: string;
    }>): void;
    private getFromContextStorage;
    private static printMessageAsText;
}
