import { HandlerContext } from '../../interfaces/handler.interface';
import { IMiddlewares } from '../interfaces/middlewares.interface';
import { IExpressHandler } from '../interfaces/handler.interface';
export default class RestHandler {
    private readonly method;
    private readonly route;
    private readonly pathToFile;
    readonly middlewares: IMiddlewares;
    identifier: any;
    constructor(method: any, route: any, pathToFile: any, middlewares?: IMiddlewares);
    importAndWrap(ctx: HandlerContext): Promise<IExpressHandler>;
    private wrap;
    get routeInfo(): {
        method: string;
        route: string;
    };
    isExists(): Promise<boolean>;
}
