"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yaml_1 = require("yaml");
const promisified_fs_tool_1 = __importDefault(require("./promisified-fs.tool"));
class YamlParser {
    static async parse(path) {
        const file = await promisified_fs_tool_1.default.readFile(path);
        return yaml_1.parse(file.toString());
    }
}
exports.default = YamlParser;
//# sourceMappingURL=yaml-parser.js.map